{% extends 'pages/user/user_base.html.twig' %}

{% block title %} {{ title }} {% endblock %}

{% block user_body %}

    <div id="orders" class="tab-pane fade show active">
        <h3>Orders for factor {{ factor.factorNumber }}</h3>
        <div class="table-responsive">
            <table class="table">
                <thead>
                    <tr>
                        <th>Order</th>
                        <th>Date</th>
                        <th>Product</th>
                        <th>Total</th>
                    </tr>
                </thead>
                <tbody>
                    {% for order in factor.orders %}
                        <tr>
                            <td>{{ loop.index }}</td>
                            <td>{{ order.createdAt|ago }}</td>
                            <td><a href="{{ path('app_product_show',{'slug':order.product.slug}) }}">{{ order.product.title }}</a></td>
                            <td>$<span class="money">{{ order.FinalPrice }}</span></td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

{% endblock %}